#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define srcname ktp-text-ui
%define urlver %(echo %{version}|cut -d. -f1,2,3)

Summary:        Telepathy handler for Text Chats
Name:           telepathy-kde-text-ui
Version: 23.04.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://cgit.kde.org/ktp-text-ui.git
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{srcname}-%{version}.tar.xz
Patch0:         ktp-text-ui-16.12.3-OnlyShowIn-KDE.patch

BuildRequires:  telepathy-kde-common-internals-devel >= %{urlver}
BuildRequires:  telepathy-logger-qt5-devel
BuildRequires:  pkgconfig(shared-desktop-ontologies)
BuildRequires:  pkgconfig(telepathy-logger-0.2)
BuildRequires:  boost-devel

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Emoticons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5DBusAddons)

Requires:       telepathy-kde-common-internals-core >= %{urlver}
Requires:       telepathy-kde-send-file >= %{urlver}
Requires:       telepathy-kde-accounts-kcm
# Spell check support
Requires:       iso-codes

Recommends:     kte-collaborative

%description
Telepathy handler for Text Chats.

%files -f %name.lang
%_kf5_bindir/ktp-log-viewer
%_kf5_libdir/libktpchat.so
%_kf5_libdir/libktpimagesharer.so
%_qt5_plugindir/*.so
%_libexecdir/*
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%_kf5_services/*
%_kf5_servicetypes/ktptxtui_message_filter.desktop
%_kf5_datadir/ktelepathy/Template.html
%_kf5_datadir/ktelepathy/longurl.js
%_kf5_datadir/ktelepathy/longurlServices.json
%_kf5_datadir/ktelepathy/showBugzillaInfo.js
%_kf5_datadir/ktelepathy/styles/SimKete.AdiumMessageStyle
%_kf5_datadir/ktelepathy/styles/WoshiChat.AdiumMessageStyle
%_kf5_datadir/ktelepathy/styles/renkoo.AdiumMessageStyle
%_kf5_datadir/ktp-log-viewer/log-viewer.rc
%_kf5_kxmlguidir/ktp-text-ui
%_kf5_datadir/telepathy/clients/KTp.TextUi.client

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 23.04.3-1.mga9
+ Revision: 1982611
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958316
- New version 23.04.1

* Tue Mar 21 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1949951
- drop no more needed by the project KF5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946628
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941683
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922800
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911298
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905155
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886941
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880892
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873205
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854095
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849601
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763985
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724196
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718477
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698685
- New version 20.12.3
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694211
- New version 20.12.2
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655734
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644116
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633935
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627174
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615045
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604239
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596976
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584629
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568253
- New version 20.04.0

* Wed Mar 25 2020 daviddavid <daviddavid> 19.12.3-1.mga8
+ Revision: 1559644
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540870
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513418
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467076
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458021
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446527
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425108
- New version 19.04.3

* Sun Jul 28 2019 daviddavid <daviddavid> 19.04.0-2.mga8
+ Revision: 1424782
- remove unwanted Qt4 build dependency on pkgconfig(QtGLib-2.0)
- require telepathy-kde-accounts-kcm
- fix Source URL

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390563
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387781
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1385048
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375792
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365686
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356623
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339628
- New version 18.12.0

* Tue Nov 27 2018 daviddavid <daviddavid> 18.08.3-2.mga7
+ Revision: 1336015
- BR pkgconfig(QJson) no more needed

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332858
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327511
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301374
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229178
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1202009
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195031
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186573
- New version 17.12.0
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1139192
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131483
- New version 17.04.3

* Thu Mar 16 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1093221
- Show loguer only in Plasma (mga#20412)

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090195
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076937
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072127
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067444
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061508
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050771
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049464
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040174
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014307
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006729
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998056
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993243
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987702
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922729
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905454
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901190
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890683
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880483
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866001
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863638
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862252
- New version 15.07.90

* Wed Aug 05 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 861176
- Own kxmlgui5/%%name dir

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859954
- New version 15.07.80

* Fri Jul 17 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 854950
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813754
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 739661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689809
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667410
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch

* Sun Mar 16 2014 fwang <fwang> 0.8.0.1-1.mga5
+ Revision: 604133
- fix req
- 0.8.0.1

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595841
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593160
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549315
- Update to 0.7.0
  add suggests kte-collaborative

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540920
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493004
- Update tarball to 0.6.80 aka 0.7 beta1
- Add pkgconfig(QJson) as BR

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466320
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2.1-1.mga4
+ Revision: 429050
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407389
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402464
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399549
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332475
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306889
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285450
- Update tarball to 0.5.0
- Add missing BR

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271802
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202947
- Add requires for tkp-send-file
- Add requires of iso-codes (needed for spell check supports)
- Update tarball to 0.3.0
- Fix usage of find_lang macro
- Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173238
- Update tarball to 0.2.0
- fix files list
- Add some BR
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152791
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146694
- Update git snapshot
- fix file list
- fix url to match new name
- Rename spec to telepathy-text-ui
- Rename telepathy-chat-handler to telepathy-text-ui
- Update tarball
- use kde4 macros
- fix file list

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113041
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110415.1.mga1
+ Revision: 86138
- imported package telepathy-chat-handler

